Page MenuHomePhabricator

Use revision scoring to trigger flagged protection
Open, LowestPublic

Description

In the Hungarian Wikipedia, flagged revisions are theoretically used as a counter-vandalism tool (ie. edits should be marked as sighted if they do not contain obvious vandalism, unargued removal of facts, uncited inclusion of facts, formatting errors etc; specifically, edits should be marked as sighted even if the patroller does not have the means or expertise to verify them). In practice that does work well because of lack of capacity and because patrollers don't always follow that rule, so good edits get stuck in a pending state for a long time.

If ORES proves accurate in identifying "suspicious" edits, it would be great to use it as input for flagged revisions; ie. only put edits in a pending state if ORES labels them as damaging.

Potential poor man's solution: T57081: Implement support for Flagged Revisions in Pywikibot

Event Timeline

Tgr created this task.Apr 18 2016, 9:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2016, 9:24 AM

@Tgr: Hey, Are you familiar with the ORES extension? What do you think if we enable this functionality via the extension?

Halfak triaged this task as Low priority.Aug 4 2016, 2:30 PM
Halfak lowered the priority of this task from Low to Lowest.Aug 18 2016, 2:30 PM

This looks a lot like deferred changes, recently approved on enwiki, see T118696 for the technical implementation for bots and AbuseFilter, T150593 for ORES, and T150594 for the implementation request.

Zache added a subscriber: Zache.Apr 19 2017, 12:49 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2017, 12:49 AM
Cirdan added a subscriber: Cirdan.May 13 2018, 10:26 AM
Harej moved this task from Ideas to Monitor on the Scoring-platform-team board.Apr 3 2019, 4:54 AM
Harej added a subscriber: Harej.Apr 3 2019, 4:59 AM

The Scoring Platform team is not likely to work on this task.

As a general note, we tend to see ORES as a tool to aid human decision-making, rather than something that replaces human judgment. A workflow you might consider is that you could look for articles with an unusually high rate of damaging edits, and then use this data to recommend to a human administrator that Flagged Revisions be applied. This way you get the rapid analysis that ORES provides but ultimately a human is in charge.

(This is just a perspective; you can pursue whichever implementation works for you.)

Zache added a comment.Apr 3 2019, 9:31 AM

Just linking related ticket T218278 . There are in comments links to stabilizerbot which is bot implementation for this and to Cirdans kokolores repo for the same idea.

Tgr added a comment.Apr 7 2019, 1:35 AM

As a general note, we tend to see ORES as a tool to aid human decision-making, rather than something that replaces human judgment.

This is not about replacing human judgement (are you thinking of T165848: Decrease FlaggedRevs backlog by using ORES predictions models maybe?) but about using ORES to delay potentially harmful actions until human judgement becomes available, since patrollers can't be expected to review edits in real-time, especially on smaller wikis. Once human judgement is available you either approve the page or revert it, in either case FlaggedRevs is not necessary anymore.

Tgr updated the task description. (Show Details)May 20 2019, 11:28 AM
Harej removed a subscriber: Harej.Jul 4 2019, 9:26 AM